Summary: NNTPGrab is a program to download files from the usenet
Name: nntpgrab
Version: 0.2.5
Release: 1%{?dist}
License: GPLv2+
Group: Applications/Internet
Source: http://www.nntpgrab.nl/releases/nntpgrab-%{version}.tar.bz2

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
URL: http://www.nntpgrab.nl

Requires:	nntpgrab-core = %{version}-%{release}
Requires:	nntpgrab-plugins = %{version}-%{release}
Requires:	nntpgrab-gui = %{version}-%{release}

BuildRequires:	pcre-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtkhtml3-devel
BuildRequires:	gettext
BuildRequires:  gtk2-devel
BuildRequires:  libxml2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  curl-devel
BuildRequires:  libnotify-devel
BuildRequires:  sqlite-devel
BuildRequires:  openssl-devel

%description
With this program it is possible to download files from the usenet

%package core
Summary:	NNTPGrab Core library
Group:		%{group}
Requires:	nntpgrab-plugins = %{version}-%{release}

%post   core -p /sbin/ldconfig
%postun core -p /sbin/ldconfig

%description core
Core library of NNTPGrab

%package gui
Summary:	GUI Frontend of NNTPGrab
Requires:	nntpgrab-core = %{version}-%{release}
Requires:	xdg-utils
Group:		%{group}

%description gui
GUI frontend of NNTPGrab

%package plugins
Summary:	Several plugins which are required for NNTPGrab
Obsoletes:	nntpgrab-plugin-nntp <= 0.2.1-1
Provides:	nntpgrab-plugin-nntp = %{version}-%{release}
Obsoletes:	nntpgrab-plugin-decoder <= 0.2.1-1
Provides:	nntpgrab-plugin-decoder = %{version}-%{release}
Obsoletes:	nntpgrab-plugin-schedular <= 0.2.1-1
Provides:	nntpgrab-plugin-schedular = %{version}-%{release}
Group:		%{group}

%description plugins
Several plugins which are required for NNTPGrab.
This contains the following plugins:
- NNTP plugin
- Decoder plugin
- Schedular plugin

%package devel
Summary:	Development files for NNTPGrab
Group:		%{group}
Requires:	%{name}-core = %{version}-%{release}
Requires:	glib2-devel

%description devel
Development files for NNTPGrab

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install --vendor fedora --delete-original \
  --add-category Network \
  --copy-generic-name-to-name \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/nntpgrab.desktop

# Rename the plugins from name_of_plugin.so.0.0.0 to name_of_plugin.so
rm %{buildroot}%{_libdir}/libnntpgrab_plugin_decoder.so
rm %{buildroot}%{_libdir}/libnntpgrab_plugin_decoder.so.0
mv %{buildroot}%{_libdir}/libnntpgrab_plugin_decoder.so.0.0.0 %{buildroot}%{_libdir}/libnntpgrab_plugin_decoder.so

rm %{buildroot}%{_libdir}/libnntpgrab_plugin_nntp.so
rm %{buildroot}%{_libdir}/libnntpgrab_plugin_nntp.so.0
mv %{buildroot}%{_libdir}/libnntpgrab_plugin_nntp.so.0.0.0 %{buildroot}%{_libdir}/libnntpgrab_plugin_nntp.so

rm %{buildroot}%{_libdir}/libnntpgrab_plugin_schedular.so
rm %{buildroot}%{_libdir}/libnntpgrab_plugin_schedular.so.0
mv %{buildroot}%{_libdir}/libnntpgrab_plugin_schedular.so.0.0.0 %{buildroot}%{_libdir}/libnntpgrab_plugin_schedular.so

# Libtool files are unnecessary
rm %{buildroot}%{_libdir}/libnntpgrab.la
rm %{buildroot}%{_libdir}/libnntpgrab_plugin_decoder.la
rm %{buildroot}%{_libdir}/libnntpgrab_plugin_nntp.la
rm %{buildroot}%{_libdir}/libnntpgrab_plugin_schedular.la

# The server part of NNTPGrab isn't operational yet
rm %{buildroot}%{_bindir}/nntpgrab_server

%find_lang NNTPGrab

%clean
rm -rf %{buildroot}
	
%files
%defattr(-,root,root,-)

%files core
%{_libdir}/libnntpgrab.so.0
%{_libdir}/libnntpgrab.so.0.0.0
%doc COPYING ChangeLog

%files plugins
%{_libdir}/libnntpgrab_plugin_nntp.so
%{_libdir}/libnntpgrab_plugin_decoder.so
%{_libdir}/libnntpgrab_plugin_schedular.so

%files gui -f NNTPGrab.lang
%{_datadir}/applications/fedora-nntpgrab.desktop
%{_bindir}/nntpgrab_gui
%{_datadir}/nntpgrab
%{_datadir}/pixmaps/nntpgrab.png

%files devel
%{_libdir}/libnntpgrab.so
%{_includedir}/nntpgrab
%{_libdir}/pkgconfig/nntpgrab.pc

%changelog
* Tue Apr 29 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.5-1
- Update to version 0.2.5
- Small packaging fix

* Sat Mar 8 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.4-1
- Update to version 0.2.4
- Drop upstreamed patches

* Tue Feb 5 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.3-1
- Update to 0.2.3. Fixes regression in 0.2.2
- Added a patch to fix an off-by-one error

* Sun Jan 27 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.2-1
- Update to 0.2.2, bugfix release which should solve some
  deadlocks and eternal loops

* Sat Jan 12 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-4
- Removed the %post{,un} scriptlets for the -plugins subpackage
- Removed README file from %doc as it is a zero-byte file
- Removed the .la file from the -devel subpackage

* Fri Jan 11 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-3
- Processed feedback from Mamoru Tasaka which was posted in the bugzilla ticket

* Sun Dec 30 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-2
- Preparations for inclusion in Fedora

* Wed Dec 26 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-1
- Version 0.2.1

* Mon Dec 24 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2-1
- Version 0.2

* Tue Nov 27 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.1-1
- Initial release

